Update Sub-Account

Prev Next
Put
/v1/sub-accounts/{subAccountId}

Update a sub-account by ID.

Required fields: name, wasabiAccountEmail, password, active

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Path parameters
subAccountId
integerRequired

Sub-Account ID

Query parameters
includeKeys
boolean

Include access and secret keys in response

Body parameters
minimal

Required fields only

{
  "name": "sample-sub-account-updated",
  "wasabiAccountEmail": "wasabi-wacm-api-updated@gmail.com",
  "password": "NewSecurePass123!",
  "active": "True"
}
full

All fields

{
  "name": "sample-sub-account-updated",
  "wasabiAccountEmail": "wasabi-wacm-api-updated@gmail.com",
  "password": "NewSecurePass123!",
  "active": "True",
  "sendPasswordResetToSubAccountEmail": "True",
  "ftpEnabled": "True",
  "resetKeys": "False",
  "trialToPaid": "False",
  "purchasedStorageTB": "2",
  "storageQuotaType": "Hard quota",
  "resetMFA": "False"
}
object
name
string Required
Min length3
Max length100
wasabiAccountEmail
string (email) Required
password
string Required
active
boolean Required
sendPasswordResetToSubAccountEmail
boolean
ftpEnabled
boolean
resetKeys
boolean

Reset API keys

trialToPaid
boolean

Convert trial to paid account

trialQuotaTB
number
trialDays
integer
purchasedStorageTB
number
Minimum0
storageQuotaType
string
Valid values[ "Soft quota", "Hard quota" ]
resetMFA
boolean

Reset/disable MFA for the account

channelAccountId
integer | null
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string (email)
billingEmail
string (email)
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string
ssoEnabled
boolean
Responses
200

Successfully updated sub-account

{
  "success": "True",
  "code": "RES-I-0002",
  "message": "Sub-Account has been successfully updated!",
  "data": {
    "id": "54321",
    "name": "sample-sub-account-updated",
    "partnerType": "SUB_ACCOUNT",
    "accountType": "Company",
    "status": "PAID_ACCOUNT",
    "creationDate": "2023-05-20T09:00:00Z",
    "address1": "789 Pine St",
    "city": "Seattle",
    "state": "Washington",
    "country": "United States",
    "zip": "98101",
    "contactEmail": "contact@example.com",
    "billingEmail": "billing@example.com",
    "ssoEnabled": "False",
    "storageQuotaType": "Soft quota",
    "accessKey": "AKIAIOSFODNN7EXAMPLE",
    "secretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "channelAccountId": "53211",
    "channelAccountName": "Sample Channel Account",
    "controlAccountId": "13337",
    "controlAccountName": "Sample Control Account",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "wasabiAccountNumber": "100123456",
    "wasabiAccountName": "wasabi-wacm-api-updated@gmail.com",
    "sendPasswordResetToSubAccount": "False",
    "ftpEnabled": "True",
    "activeStorage": "0.45",
    "deletedStorage": "0.05",
    "purchasedStorageTB": "2",
    "mfaEnabled": "False"
  }
}
Expand All
object
success
boolean
code
string
message
string
data
object (SubAccountResponse)
id
integer
name
string
partnerType
string
accountType
string
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string
billingEmail
string
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string
ssoEnabled
boolean
storageQuotaType
string
accessKey
string
secretKey
string
channelAccountId
integer
channelAccountName
string
channelAccountEmail
string
controlAccountId
integer
controlAccountName
string
controlAccountEmail
string
governanceAccountId
integer
governanceAccountName
string
wasabiAccountNumber
integer
wasabiAccountName
string
sendPasswordResetToSubAccount
boolean
ftpEnabled
boolean
activeStorage
number
deletedStorage
number
trialQuotaTB
integer
trialExpiration
string
purchasedStorageTB
number
mfaEnabled
boolean